# Regular SQLite in Go

## Install the Migrations Tool

This will in stall the migrate tool for our system. 

```
go install -tags 'sqlite3' github.com/golang-migrate/migrate/v4/cmd/migrate@latest
```

You could also use golang-migrate as a library and migrate your DB in code. For that you would need to install that package as part of your module dependencies.

```
go get github.com/mattn/go-sqlite3
```

## Running Migrations

### Using the CLI

```
migrate -database sqlite3://./data/trysqlite.db -path ./migrations
```