# Go Web App

https://go.dev/doc/articles/wiki/

I've taken this project a bit further then the article. Follow on work can include:

- [ ] Further project layout refactoring (handlers, models, etc.)
- [ ] More unit tests
- [ ] An E2E test suite
- [ ] SQLite Database instead of files
- [ ] Support for Markdown
- [ ] Tailwind CSS Styling
- [ ] A config file?
- [ ] Makefile install command
  - [ ] With Systemd unit file
- [ ] Dockerfile
- [ ] Spin off into it's own repo
  - [ ] Drone.io pipeline
    - [ ] Runs test suite
    - [ ] Tarball release artifact on Promote
    - [ ] Deb release artifact on Promote


## Adding Libsql to a project

First install the driver

```
go get github.com/tursodatabase/go-libsql
```

We will only use a local file for this project. We will will use `GO_WIKI_DB` environment variable to determine where the SQLite file is located. It will default to ./data like the previous file based system.

