# Maps

https://quii.gitbook.io/learn-go-with-tests/go-fundamentals/maps

Build our own map


## Gotcha

A gotcha with maps is that they can be a nil value. A nil map behaves like an empty map when reading, but attempts to write to a nil map will cause a runtime panic. You can read more about maps here.

Therefore, you should never initialize an empty map variable:

var m map[string]string

Instead, you can initialize an empty map like we were doing above, or use the make keyword to create a map for you:

var dictionary = map[string]string{}

// OR

var dictionary = make(map[string]string)